List all features
curl --request GET \
--url https://api-m.sandbox.paypal.com/v1/commerce/billing/features \
--header 'Authorization: Bearer <token>'{
"features": [
{
"code": "seats",
"name": "Number of seats",
"description": "Number of users allowed in the account",
"privileges": [
{
"code": "max",
"name": "Maximum seats",
"value_type": "INTEGER"
},
{
"code": "max_admins",
"name": "Maximum admin users",
"value_type": "INTEGER"
}
],
"created_at": "2025-01-28T10:00:00Z"
},
{
"code": "api_access",
"name": "API Access",
"description": "Access to REST API endpoints",
"privileges": [
{
"code": "rate_limit",
"name": "API Rate Limit",
"value_type": "INTEGER"
},
{
"code": "endpoints",
"name": "Available Endpoints",
"value_type": "SELECT",
"config": {
"select_options": [
"basic",
"standard",
"premium",
"all"
]
}
}
],
"created_at": "2025-01-28T11:00:00Z"
},
{
"code": "sso",
"name": "Single Sign-On",
"description": "SSO authentication configuration",
"privileges": [
{
"code": "enabled",
"name": "SSO Enabled",
"value_type": "BOOLEAN"
},
{
"code": "provider",
"name": "SSO Provider",
"value_type": "SELECT",
"config": {
"select_options": [
"google",
"okta",
"azure",
"saml"
]
}
}
],
"created_at": "2025-01-28T12:00:00Z"
}
],
"metadata": {
"current_page": 1,
"total_count": 3,
"total_pages": 1
}
}{
"name": "NOT_AUTHORIZED",
"message": "Authorization failed due to insufficient permissions.",
"debug_id": "565f78f101498",
"details": [
{
"issue": "PERMISSION_DENIED",
"description": "You do not have permission to access or perform operations on this resource."
}
]
}{
"name": "INTERNAL_SERVER_ERROR",
"message": "An internal server error has occurred.",
"debug_id": "90957fca61718"
}List all features
Retrieves a comprehensive list of all features defined in your system. Features represent capabilities or functionalities that can be entitled to customers through subscription plans. Use this endpoint to discover available features when building plan configurations or displaying feature catalogs to administrators.
GET
/
features
List all features
curl --request GET \
--url https://api-m.sandbox.paypal.com/v1/commerce/billing/features \
--header 'Authorization: Bearer <token>'{
"features": [
{
"code": "seats",
"name": "Number of seats",
"description": "Number of users allowed in the account",
"privileges": [
{
"code": "max",
"name": "Maximum seats",
"value_type": "INTEGER"
},
{
"code": "max_admins",
"name": "Maximum admin users",
"value_type": "INTEGER"
}
],
"created_at": "2025-01-28T10:00:00Z"
},
{
"code": "api_access",
"name": "API Access",
"description": "Access to REST API endpoints",
"privileges": [
{
"code": "rate_limit",
"name": "API Rate Limit",
"value_type": "INTEGER"
},
{
"code": "endpoints",
"name": "Available Endpoints",
"value_type": "SELECT",
"config": {
"select_options": [
"basic",
"standard",
"premium",
"all"
]
}
}
],
"created_at": "2025-01-28T11:00:00Z"
},
{
"code": "sso",
"name": "Single Sign-On",
"description": "SSO authentication configuration",
"privileges": [
{
"code": "enabled",
"name": "SSO Enabled",
"value_type": "BOOLEAN"
},
{
"code": "provider",
"name": "SSO Provider",
"value_type": "SELECT",
"config": {
"select_options": [
"google",
"okta",
"azure",
"saml"
]
}
}
],
"created_at": "2025-01-28T12:00:00Z"
}
],
"metadata": {
"current_page": 1,
"total_count": 3,
"total_pages": 1
}
}{
"name": "NOT_AUTHORIZED",
"message": "Authorization failed due to insufficient permissions.",
"debug_id": "565f78f101498",
"details": [
{
"issue": "PERMISSION_DENIED",
"description": "You do not have permission to access or perform operations on this resource."
}
]
}{
"name": "INTERNAL_SERVER_ERROR",
"message": "An internal server error has occurred.",
"debug_id": "90957fca61718"
}Authorizations
Use the /v1/oauth2/token endpoint to obtain an access token and pass it as a Bearer token in the Authorization header.
Was this page helpful?
⌘I